Debian Bug report logs - #409849
RFP: afni -- toolkit for analyzing and visualizing functional MRI data [med-imaging]

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Michael Hanke <michael.hanke@gmail.com>

Date: Mon, 5 Feb 2007 22:48:29 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, Yaroslav Halchenko <debian@onerussian.com>, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, Yaroslav Halchenko <debian@onerussian.com>, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: afni -- toolkit for analyzing and visualizing functional MRI data
Date: Mon, 05 Feb 2007 23:42:52 +0100
Package: wnpp
Severity: wishlist
Owner: Michael Hanke <michael.hanke@gmail.com>

* Package name    : afni
  Version         : 2006.12.22.0933
  Upstream Author : Robert Cox et al. <rwcox@nih.gov>
* URL             : http://afni.nimh.nih.gov/
* License         : GPL (sources might contain some OCL licensed docs)
  Programming Lang: C
  Description     : toolkit for analyzing and visualizing functional MRI data

AFNI is an environment for processing and displaying functional MRI data. 
It provides a complete analysis toolchain, including 3D cortical surface models,
and mapping of volumetric data (SUMA).

In addition to its own format AFNI understands the NIfTI format and is
therefore easily usable in combination with FSL and Freesurfer.



The package will be maintained by Yaroslav Halchenko
<debian@onerussian.com> and me. 

Cheers,

Michael


-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (600, 'testing'), (200, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. Full text and rfc822 format available.

Message #10 received at 409849@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Michael Hanke <michael.hanke@gmail.com>, 409849@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#409849: ITP: afni -- toolkit for analyzing and visualizing functional MRI data
Date: Tue, 6 Feb 2007 08:36:14 +0100 (CET)
[Message part 1 (text/plain, inline)]
On Mon, 5 Feb 2007, Michael Hanke wrote:

> Package: wnpp
> Severity: wishlist
> Owner: Michael Hanke <michael.hanke@gmail.com>
>
> * Package name    : afni
>  Version         : 2006.12.22.0933
>  Upstream Author : Robert Cox et al. <rwcox@nih.gov>
> * URL             : http://afni.nimh.nih.gov/
> * License         : GPL (sources might contain some OCL licensed docs)
>  Programming Lang: C
>  Description     : toolkit for analyzing and visualizing functional MRI data
>
> AFNI is an environment for processing and displaying functional MRI data.
> It provides a complete analysis toolchain, including 3D cortical surface models,
> and mapping of volumetric data (SUMA).
>
> In addition to its own format AFNI understands the NIfTI format and is
> therefore easily usable in combination with FSL and Freesurfer.

I wanted to set the user-tags to this ITP and thought med-imaging would be
the right category to use but I hesitate now.  I wonder if we slightly
are at the point where splitting of med-bio and med-imaging into more
fine grained categories would make sense.  This also concerns deb-tagging
which was proposed by Steffen Möller in
   http://lists.debian.org/debian-med/2007/01/msg00023.html

What do you think?

Kind regards

         Andreas.

--
http://fam-tille.de

Changed Bug title. Request was from Andreas Tille <tillea@rki.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Hanke <michael.hanke@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 409849-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 409849-done@bugs.debian.org
Subject: WNPP bug closing
Date: Fri, 08 Feb 2008 11:59:40 -0700
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 409849
 stop

Further comments on the work done in the bug sent to
409849@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Mar 2008 07:31:59 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Michael Hanke <michael.hanke@gmail.com> to control@bugs.debian.org. (Fri, 29 May 2009 09:03:01 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Michael Hanke <michael.hanke@gmail.com> to control@bugs.debian.org. (Fri, 29 May 2009 09:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Fri, 29 May 2009 10:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. (Fri, 29 May 2009 10:06:40 GMT) Full text and rfc822 format available.

Message #28 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 409849@bugs.debian.org
Subject: Still working on it
Date: Fri, 29 May 2009 11:23:11 +0200
Just a quick note that this effort has not really been stopped -- it
just takes forever.

I currently have a pretty much functional package, but the copyright
screening is yet to come (although I already removed quite a bit of the
code, due to licensing issues) -- given the amount of code, this will
again take a while

Help would be very much appreciated!


Michael

-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://apsy.gse.uni-magdeburg.de/hanke
ICQ: 48230050




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Tue, 13 Oct 2009 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. (Tue, 13 Oct 2009 14:39:03 GMT) Full text and rfc822 format available.

Message #33 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 409849@bugs.debian.org
Subject: License changed
Date: Tue, 13 Oct 2009 10:34:37 -0400
The good news is that a particularly questionable piece of AFNI
(libEdge3) has been relicensed from a non-distribution to non-commercial
license. This is a huge step forward and will hopefully allow AFNI to go
into non-free without stripping any functionality.

Let'see,

Michael


-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Sat, 17 Oct 2009 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. (Sat, 17 Oct 2009 12:27:03 GMT) Full text and rfc822 format available.

Message #38 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 409849@bugs.debian.org
Subject: License still too restrictive
Date: Sat, 17 Oct 2009 08:00:26 -0400
My previous outbreak of joy was a little premature. The edges3D license
is still too restrictive, since it does not allow redistribution (the
key permission for at least a non-free packaging). The upstream author
of the library is Gregoire Malandain.

  http://www-sop.inria.fr/epidaure/personnel/malandain/malandain.html

I tried to contact him, but got no response (maybe someone else has more
luck).

This license problem is _the_ showstopper for AFNI packaging. Otherwise
the package seems to work fine, but without edges3D it is not possible
to include SUMA or any skull-stripping functionality. Without this AFNI
would not provide a comprehensive fMRI toolchain anymore, and IMHO that
makes it close to useless to package it.

Otherwise, I got lots of offer for help with the packaging (including a
sanitized cmake-based buildsystem, that would replace AFNI native
Makefile-jungle). However, the license issue above has to be solved
first.

Maybe if people would express their desire for an AFNI Debian package
not just to me, but also to the AFNI authors and the edges3D author
that could convince them that there actually is a problem in need of a
solution...

Good luck to us,

Michael


-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Mon, 19 Oct 2009 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. (Mon, 19 Oct 2009 15:54:03 GMT) Full text and rfc822 format available.

Message #43 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 409849@bugs.debian.org
Subject: First rough draft of an afni Debian package
Date: Mon, 19 Oct 2009 11:42:29 -0400
A first (very rough) draft of a Debian package for AFNI is now available
at:

  http://neuro.debian.net/pkgs/afni.html

It is not yet ready for Debian and is also lacking a lot of the
necessary documentation, but it should somewhat work.

Please install 'afni' and look at 'man afni'.

*ANY* comment or bugreport is very much appreciated. Please post to this
ITP bug.

This package is still a bit large, due to a lot of code duplication in
AFNI itself. I already got a patch that would help with it and I will be
looking into it over the next couple of days.

I would very much like to get recommendations for a sane default
configuration for AFNI on Debian.

I will push the AFNI packaging to git.debian.org shortly (will drop a
note here, when it is done).

There is also the need to package the AFNI atlas data. I have a draft
package already that I will also publish shortly. Just have to make sure
that I do not run into serious licensing trouble...


Stay tuned,


Michael

-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Mon, 19 Oct 2009 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. (Mon, 19 Oct 2009 16:39:07 GMT) Full text and rfc822 format available.

Message #48 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 409849@bugs.debian.org
Subject: Re: Bug#409849: First rough draft of an afni Debian package
Date: Mon, 19 Oct 2009 12:25:59 -0400
On Mon, Oct 19, 2009 at 11:42:29AM -0400, Michael Hanke wrote:
> I will push the AFNI packaging to git.debian.org shortly (will drop a
> note here, when it is done).

Now available at

  http://git.debian.org/?p=pkg-exppsy/afni.git;a=summary


Michael


-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Mon, 19 Oct 2009 19:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Judd Storrs <storrsjm@email.uc.edu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. (Mon, 19 Oct 2009 19:57:06 GMT) Full text and rfc822 format available.

Message #53 received at 409849@bugs.debian.org (full text, mbox):

From: Judd Storrs <storrsjm@email.uc.edu>
To: Michael Hanke <michael.hanke@gmail.com>
Cc: 409849@bugs.debian.org
Subject: Re: First rough draft of an afni Debian package
Date: Mon, 19 Oct 2009 15:53:29 -0400
[Message part 1 (text/plain, inline)]
Excellent work! I have two updates.

The first adds an afni-dev package to include headers needed to use libmri
etc as well as to compile AFNI plugins. I wasn't sure where these should
go--this places them inside /usr/include/afni.

The second patch allows either openmotif or lesstif to be used.

Again, wonderful work!

--judd




On Mon, Oct 19, 2009 at 11:42 AM, Michael Hanke <michael.hanke@gmail.com>wrote:

> A first (very rough) draft of a Debian package for AFNI is now available
> at:
>
>  http://neuro.debian.net/pkgs/afni.html
>
> It is not yet ready for Debian and is also lacking a lot of the
> necessary documentation, but it should somewhat work.
>
> Please install 'afni' and look at 'man afni'.
>
> *ANY* comment or bugreport is very much appreciated. Please post to this
> ITP bug.
>
> This package is still a bit large, due to a lot of code duplication in
> AFNI itself. I already got a patch that would help with it and I will be
> looking into it over the next couple of days.
>
> I would very much like to get recommendations for a sane default
> configuration for AFNI on Debian.
>
> I will push the AFNI packaging to git.debian.org shortly (will drop a
> note here, when it is done).
>
> There is also the need to package the AFNI atlas data. I have a draft
> package already that I will also publish shortly. Just have to make sure
> that I do not run into serious licensing trouble...
>
>
> Stay tuned,
>
>
> Michael
>
> --
> GPG key:  1024D/3144BE0F Michael Hanke
> http://mih.voxindeserto.de
>
[Message part 2 (text/html, inline)]
[afni-dev.patch (text/x-patch, attachment)]
[motif.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Tue, 20 Oct 2009 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. (Tue, 20 Oct 2009 14:21:03 GMT) Full text and rfc822 format available.

Message #58 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: Judd Storrs <storrsjm@email.uc.edu>
Cc: 409849@bugs.debian.org
Subject: Re: First rough draft of an afni Debian package
Date: Tue, 20 Oct 2009 09:29:29 -0400
On Mon, Oct 19, 2009 at 03:53:29PM -0400, Judd Storrs wrote:
> Excellent work! I have two updates.
> 
> The first adds an afni-dev package to include headers needed to use libmri
> etc as well as to compile AFNI plugins. I wasn't sure where these should
> go--this places them inside /usr/include/afni.

The place is fine, but how did you determine the subset of headers that
should go into it. If we can automize that, it might scale a bit better
with the future AFNI development.

However, the more serious problem is that having a -dev package also
implies that the libs can be used elsewhere -- which is actually not
the case. Without a proper versioning scheme and sane interface policies
we cannot expose the shared libs (that I imagined to be internal
convenience libs) like this. What could be done is adding static libs to
the -dev package. However, already now it is significant pain to build
shared libs alone -- building both is even more tricky using AFNI's
cumbersome build system...

I got a patch from Bernd Feige that replaces the Makefiles with a cmake
setup -- which is wonderful and will solve all of our problems at once.
However, it is pretty invasive and such is usually discouraged for
Debian packaging. Right now I am reluctant to use that for the package,
but if we want a fully functional package with no compromise, there
might be no way around it. Sadly, Bernd submitted his patch upstream
some time ago and it was not accepted ....

> The second patch allows either openmotif or lesstif to be used.

I'm pretty much in favor of this change, however, it might be that we
have to revert that at some point, since openmotif is non-free and
package in main must not depend on anything else but packages in main.

Although in this case it is an optional alternative build-dependency --
so it might work -- we'll see...

> Again, wonderful work!

Thanks, but I think more should be done to the default configuration.
AFNI.afnirc and AFNI.sumarc are now simply shipped as examples in the
afni-common package, but I guess they should become somewhat more
functional. My own config scheme in /etc/afni/afni.sh takes care of the
most critical settings, but the majority is left untouched. I am not
sure about implementing a proper default system-wide config setup --
right now this per-user thingie that comes with AFNI feels incomplete
and suboptimal. Advice is most welcome, since I am not really a
proficient AFNI user.


Thanks,

Michael

-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Tue, 20 Oct 2009 22:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Judd Storrs <storrsjm@email.uc.edu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. (Tue, 20 Oct 2009 22:18:06 GMT) Full text and rfc822 format available.

Message #63 received at 409849@bugs.debian.org (full text, mbox):

From: Judd Storrs <storrsjm@email.uc.edu>
To: 409849@bugs.debian.org
Subject: Re: First rough draft of an afni Debian package
Date: Tue, 20 Oct 2009 18:01:12 -0400
[Message part 1 (text/plain, inline)]
>
>  The place is fine, but how did you determine the subset of headers that
> should go into it. If we can automize that, it might scale a bit better
> with the future AFNI development.
>

However, the more serious problem is that having a -dev package also
> implies that the libs can be used elsewhere -- which is actually not
> the case. Without a proper versioning scheme and sane interface policies
> we cannot expose the shared libs (that I imagined to be internal
> convenience libs) like this. What could be done is adding static libs to
> the -dev package. However, already now it is significant pain to build
> shared libs alone -- building both is even more tricky using AFNI's
> cumbersome build system...
>

It's based mostly on the LIBHEADERS list in Makefile.INCLUDE. I also
included afni.h and all its dependencies because afni.h is needed to compile
plugins for the afni viewer. I'm working on a plugin and I noticed I
couldn't compile, but you're right. I'm not sure which of the headers are
needed for full functionality of the libraries. Another approach would be to
install all the headers that don't originate from other packages.

I'm not sure I would bother with static libraries.  An alternative would be
to get rid of afni-dev altogether and include the headers in
/usr/lib/afni/include as part of afni-common or something. LIBHEADERS are
distributed in the binary packages from the NIH so debian would just be
doing what they already do. NIH doesn't include afni.h so that can probably
be omitted.

AFNI.afnirc and AFNI.sumarc are now simply shipped as examples in the
> afni-common package, but I guess they should become somewhat more
> functional. My own config scheme in /etc/afni/afni.sh takes care of the
> most critical settings, but the majority is left untouched. I am not
> sure about implementing a proper default system-wide config setup --
> right now this per-user thingie that comes with AFNI feels incomplete
> and suboptimal. Advice is most welcome, since I am not really a
> proficient AFNI user.
>

I think the way you have done it is best. It is important to avoid burdening
the NIH developers with problems that originate from the debian packaging. I
would leave things the way they would be if the user had downloaded the
binary builds from the NIH directly--i.e. no configuration--let's not
surprise the NIH. The path setting in /etc/afni/afni.sh is good because it's
necessary. I'd resist the urge to improve unless there are debian-specific
advantages/reasons. Otherwise it becomes another layer of confusion when
newcomers post to the message board. The .config/AFNI stuff--that's OK, but
AFNI already uses .afnirc etc and I doubt anybody on the message board is
going to know about .config. My feeling is that users would expect the
debian package to help install afni and dependencies and help keep it
up-to-date.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Wed, 21 Oct 2009 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. (Wed, 21 Oct 2009 15:45:04 GMT) Full text and rfc822 format available.

Message #68 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: Judd Storrs <storrsjm@email.uc.edu>, 409849@bugs.debian.org
Subject: Re: Bug#409849: First rough draft of an afni Debian package
Date: Wed, 21 Oct 2009 11:02:48 -0400
On Tue, Oct 20, 2009 at 06:01:12PM -0400, Judd Storrs wrote:
> >
> >  The place is fine, but how did you determine the subset of headers that
> > should go into it. If we can automize that, it might scale a bit better
> > with the future AFNI development.
> >
> > However, the more serious problem is that having a -dev package also
> > implies that the libs can be used elsewhere -- which is actually not
> > the case. Without a proper versioning scheme and sane interface policies
> > we cannot expose the shared libs (that I imagined to be internal
> > convenience libs) like this. What could be done is adding static libs to
> > the -dev package. However, already now it is significant pain to build
> > shared libs alone -- building both is even more tricky using AFNI's
> > cumbersome build system...
> >
> 
> It's based mostly on the LIBHEADERS list in Makefile.INCLUDE. I also
> included afni.h and all its dependencies because afni.h is needed to compile
> plugins for the afni viewer. I'm working on a plugin and I noticed I
> couldn't compile, but you're right. I'm not sure which of the headers are
> needed for full functionality of the libraries. Another approach would be to
> install all the headers that don't originate from other packages.
> 
> I'm not sure I would bother with static libraries.  An alternative would be
> to get rid of afni-dev altogether and include the headers in
> /usr/lib/afni/include as part of afni-common or something. LIBHEADERS are
> distributed in the binary packages from the NIH so debian would just be
> doing what they already do. NIH doesn't include afni.h so that can probably
> be omitted.

Nah, we should do it properly. If people develop plugins (and apparently
they do) we should support that with a proper -dev package. I will take
a look at this issue.

> > AFNI.afnirc and AFNI.sumarc are now simply shipped as examples in the
> > afni-common package, but I guess they should become somewhat more
> > functional. My own config scheme in /etc/afni/afni.sh takes care of the
> > most critical settings, but the majority is left untouched. I am not
> > sure about implementing a proper default system-wide config setup --
> > right now this per-user thingie that comes with AFNI feels incomplete
> > and suboptimal. Advice is most welcome, since I am not really a
> > proficient AFNI user.
> >
> 
> I think the way you have done it is best. It is important to avoid burdening
> the NIH developers with problems that originate from the debian packaging. I
> would leave things the way they would be if the user had downloaded the
> binary builds from the NIH directly--i.e. no configuration--let's not
> surprise the NIH. The path setting in /etc/afni/afni.sh is good because it's
> necessary. I'd resist the urge to improve unless there are debian-specific
> advantages/reasons. Otherwise it becomes another layer of confusion when
> newcomers post to the message board. The .config/AFNI stuff--that's OK, but
> AFNI already uses .afnirc etc and I doubt anybody on the message board is
> going to know about .config. My feeling is that users would expect the
> debian package to help install afni and dependencies and help keep it
> up-to-date.

Point taken. However, .config/AFNI/* (shell script) is different from
.afnirc (afni's own format) -- but yes the Debian package's behavior
should be identical to the upstream AFNI distribution. But we might
nevertheless achieve that in a slighlty more elegant way ;-)

Michael

-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Wed, 21 Oct 2009 16:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. (Wed, 21 Oct 2009 16:06:03 GMT) Full text and rfc822 format available.

Message #73 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 409849@bugs.debian.org
Subject: AFNI development history imported
Date: Wed, 21 Oct 2009 11:06:56 -0400
On Mon, Oct 19, 2009 at 12:25:59PM -0400, Michael Hanke wrote:
> On Mon, Oct 19, 2009 at 11:42:29AM -0400, Michael Hanke wrote:
> > I will push the AFNI packaging to git.debian.org shortly (will drop a
> > note here, when it is done).
> 
> Now available at
> 
>   http://git.debian.org/?p=pkg-exppsy/afni.git;a=summary

I'n sorry, but I redid this respository. I restarted by importing all
available AFNI release tarballs since 1998. While there is no public VCS
we now have at least some history. For the future I started tracking the
daily snapshots (AFNI_latest.tgz). Whenever there is something new it is
imported in the `upstream` branch of the new git repository -- It is
actually done in a separate repos and I will push after manual review
(to make sure nothing non-free or worse gets imported...


Michael

-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Wed, 28 Oct 2009 13:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. (Wed, 28 Oct 2009 13:15:07 GMT) Full text and rfc822 format available.

Message #78 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 409849@bugs.debian.org
Subject: AFNI packaging now cmake-based and with afni-dev
Date: Tue, 27 Oct 2009 12:07:01 -0400
Hi,

I just pushed the changes for a new version of the AFNI packaging to
git.debian.org. It now uses a cmake-based buildsystem. The initial patch
was contributed by Bernd Feige and I further tweaked it to shrink the
size, add options for conditional building.

The Debian packaging now takes advantage of the increased flexibility
also provides a 'afni-dev' package with headers and _static_ libraries
for plugin development. The AFNI programs, however, use dynamic linking.
This allows for a dramatic reduction of the binary distribution to less
than 10% of the upstream distribution -- altogether less than 20MB
(including the altas data)!

I am currently building binary package for http://neuro/debian/net.

Please give it a try and tell me if it causes any problems.


Thanks,

Michael


-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Fri, 30 Oct 2009 13:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael hanke <michael.hanke@gmail.com>. (Fri, 30 Oct 2009 13:15:07 GMT) Full text and rfc822 format available.

Message #83 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 409849@bugs.debian.org
Subject: Re: AFNI packaging now cmake-based and with afni-dev
Date: Fri, 30 Oct 2009 08:13:05 -0400
The current version of the draft package does now use ffmpeg to encode
videos, instead of mpeg_encode that I stripped from the sources due to
being upstream-dead and having patent-issues.

With this change AFNI should have full functionality (besides 3dedge3
support).

The only major task that has to be done before an initial upload to
Debian is a copyright/license screening. Given the size of the AFNI
sources this is a somewhat significant effort...


Meanwhile, up-to-date packages are avialable from http://neuro/debian/net


Michael

-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Tue, 13 Jul 2010 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pam Pallett <ppallett@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, michael hanke <michael.hanke@gmail.com>. (Tue, 13 Jul 2010 17:51:03 GMT) Full text and rfc822 format available.

Message #88 received at 409849@bugs.debian.org (full text, mbox):

From: Pam Pallett <ppallett@gmail.com>
To: 409849@bugs.debian.org
Subject: AFNI missing templates
Date: Tue, 13 Jul 2010 13:48:56 -0400
[Message part 1 (text/plain, inline)]
To Whom It May Concern:

I am having persistent errors using @auto_tlrc in AFNI.  Specifically, it
tells me it can't find the base templates.  I have tried a number of options
to direct it to the correct location (assuming it exists), but it
continually fails.

E.g.  I guessed that it should be in the same location as the functions, so
I did the following:

brain@neurodebian:~$ which @auto_tlrc
/usr/lib/afni/bin/@auto_tlrc
brain@neurodebian:~$ @auto_tlrc -base /usr/lib/afni/bin/TT_avg152T1+tlrc
-input fWIPHiResSENSEs003a001.nii.gz
Parsing ...
Error: Template dset /usr/lib/afni/bin/TT_avg152T1+tlrc not found.

Hope this bug report is useful.  And if it is not a true bug, but rather
user error, please let me know.  Otherwise, it seems that the templates are
missing from the package.

Best wishes,
Pam Pallett
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, michael hanke <michael.hanke@gmail.com>:
Bug#409849; Package wnpp. (Tue, 13 Jul 2010 18:39:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, michael hanke <michael.hanke@gmail.com>. (Tue, 13 Jul 2010 18:39:14 GMT) Full text and rfc822 format available.

Message #93 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: Pam Pallett <ppallett@gmail.com>, 409849@bugs.debian.org
Subject: Re: Bug#409849: AFNI missing templates
Date: Tue, 13 Jul 2010 14:36:53 -0400
Hi,

On Tue, Jul 13, 2010 at 01:48:56PM -0400, Pam Pallett wrote:
> brain@neurodebian:~$ which @auto_tlrc
> /usr/lib/afni/bin/@auto_tlrc
> brain@neurodebian:~$ @auto_tlrc -base /usr/lib/afni/bin/TT_avg152T1+tlrc
> -input fWIPHiResSENSEs003a001.nii.gz
> Parsing ...
> Error: Template dset /usr/lib/afni/bin/TT_avg152T1+tlrc not found.
> 
> Hope this bug report is useful.  And if it is not a true bug, but rather
> user error, please let me know.  Otherwise, it seems that the templates are
> missing from the package.

Thanks for your report. The AFNI package is far from being in the state
it should be -- work is under way!

Regarding your issue: Do you have the afni-atlases package installed?


Michael

-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Owner changed from michael hanke <michael.hanke@gmail.com> to NeuroDebian Team <team@neuro.debian.net>. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Mon, 26 Jul 2010 14:36:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#409849; Package wnpp. (Fri, 01 Oct 2010 11:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>. (Fri, 01 Oct 2010 11:21:07 GMT) Full text and rfc822 format available.

Message #100 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 409849@bugs.debian.org
Subject: Re: AFNI packaging now cmake-based and with afni-dev
Date: Fri, 1 Oct 2010 07:17:58 -0400
The AFNI package has now been updated to source package format 3.0
(quilt) and uses a debhelper-dh based rules files. As of last week all
patches, including the new CMake-based build system, have been submitted
to upstream for review and potential inclusion.


Meanwhile, up-to-date packages are still avialable from http://neuro.debian.net

Michael

-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#409849; Package wnpp. (Tue, 19 Oct 2010 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>. (Tue, 19 Oct 2010 12:51:03 GMT) Full text and rfc822 format available.

Message #105 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 409849@bugs.debian.org
Subject: Segfault with lesstif -- works with openmotif
Date: Tue, 19 Oct 2010 08:47:45 -0400
AFNI segfaults when built against lesstif2. The steps to replicate are:

1. Start AFNI with any dataset.
2. Add atlas as overlay.
3. Open image viewer (any slice orientation, e.g. axial)
4. Right-click on any voxel and select "where am i"
5. Left-click on two other voxels
6. Segfault.

GDB show that lesstif gets into a long loop doing the following over an
over:

#21788 0xb7858eb4 in XmTextSetString () from /usr/lib/libXm.so.2
#21789 0xb78591bf in ?? () from /usr/lib/libXm.so.2
#21790 0xb7595e52 in ?? () from /usr/lib/libXt.so.6
#21791 0xb7596b64 in XtSetValues () from /usr/lib/libXt.so.6
#21792 0xb78584d8 in _XmTextUpdateLineTable () from /usr/lib/libXm.so.2
#21793 0xb786c909 in ?? () from /usr/lib/libXm.so.2
#21794 0xb786bed8 in _XmStringSourceSetValue () from /usr/lib/libXm.so.2

There is an open lesstif bug that might be related:

  http://bugs.debian.org/379011

The relevant action seems to be triggered from

#21828 0xb7ba20b2 in MCW_textwin_alter () from /usr/lib/afni/lib/libmrix.so
#21829 0x08071ddc in AFNI_set_viewpoint ()

A test build of AFNI against current openmotif doesn't show this bug.

Upstream doesn't use lesstif, because of "various problems". This is the
first issue that could verified and documented.

-- 
GPG key: 4096R/7FFB9E9B Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#409849; Package wnpp. (Sat, 27 Nov 2010 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>. (Sat, 27 Nov 2010 15:21:03 GMT) Full text and rfc822 format available.

Message #110 received at 409849@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 409849@bugs.debian.org
Subject: Patches submitted upstream
Date: Sat, 27 Nov 2010 10:18:35 -0500
All patches of the Debian packaging have been submitted upstream. Due to
the large size (and sometimes potentially disruptive nature) it might
take a while to get them reviewed, and hopefully included in the
upstream source tree.

However, if this is done, we are almost ready to submit AFNI for
inclusion into Debian -- just 3.5 years later!

Love it,

Michael

-- 
GPG key: 4096R/7FFB9E9B Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#409849; Package wnpp. (Fri, 15 Apr 2011 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to hi.jenniitx@gmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>. (Fri, 15 Apr 2011 14:39:04 GMT) Full text and rfc822 format available.

Message #115 received at 409849@bugs.debian.org (full text, mbox):

From: hi.jenniitx@gmail.com
To: 409849@bugs.debian.org
Subject: C++ VTk remote tutor, looking forward for more projects
Date: Fri, 15 Apr 2011 14:25:42 +0000
Hello

This is Jenni


 I am looking for a remote tutor to help my client on upper division  
college computational courses. "Knowing C++ and VTk is a

must". I am willing to pay $5-$8 per hour.

If you are Interested then please do bid here -->  
http://tinyurl.com/Looking-for-remote-tutor

I or my project manager will contact to here itself according to your quote.

On communication I will provide an copy of assignment.
We can discuss more upon a conversation.

Or you can direct discuss with my project manager Neel J, on his skype id  
--> neel_bpl


Please do not consider this mail as a spam, If you are expert at C++ and  
VTK then please do bid on this project.

There are two large projects I have and need someone to help me over the  
next several weeks or months.

Awaiting for thoughts


Jenni
Project coordinator (SCAN Technologies)




Reply sent to hi.jenniitx@gmail.com:
You have taken responsibility. (Fri, 15 Apr 2011 14:39:12 GMT) Full text and rfc822 format available.

Notification sent to Michael Hanke <michael.hanke@gmail.com>:
Bug acknowledged by developer. (Fri, 15 Apr 2011 14:39:12 GMT) Full text and rfc822 format available.

Message #120 received at 409849-done@bugs.debian.org (full text, mbox):

From: hi.jenniitx@gmail.com
To: 409849-done@bugs.debian.org
Subject: C++ VTk remote tutor, looking forward for more projects
Date: Fri, 15 Apr 2011 14:25:42 +0000
Hello

This is Jenni


 I am looking for a remote tutor to help my client on upper division  
college computational courses. "Knowing C++ and VTk is a

must". I am willing to pay $5-$8 per hour.

If you are Interested then please do bid here -->  
http://tinyurl.com/Looking-for-remote-tutor

I or my project manager will contact to here itself according to your quote.

On communication I will provide an copy of assignment.
We can discuss more upon a conversation.

Or you can direct discuss with my project manager Neel J, on his skype id  
--> neel_bpl


Please do not consider this mail as a spam, If you are expert at C++ and  
VTK then please do bid on this project.

There are two large projects I have and need someone to help me over the  
next several weeks or months.

Awaiting for thoughts


Jenni
Project coordinator (SCAN Technologies)




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Apr 2011 15:21:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 409849: 636610 Request was from Michael Hanke <mih@debian.org> to control@bugs.debian.org. (Fri, 02 Mar 2012 13:45:50 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#409849; Package wnpp. (Mon, 27 May 2013 13:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>. (Mon, 27 May 2013 13:27:07 GMT) Full text and rfc822 format available.

Message #129 received at 409849@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 409849@bugs.debian.org
Cc: control@bugs.debian.org
Subject: afni: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:20 +0200
retitle 409849 RFP: afni -- toolkit for analyzing and visualizing functional MRI data [med-imaging]
noowner 409849
tag 409849 - pending
thanks

Hi,

This is an automatic email to change the status of afni back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting afni, please send a mail to
<control@bugs.debian.org> with:

 retitle 409849 ITP: afni -- toolkit for analyzing and visualizing functional MRI data [med-imaging]
 owner 409849 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <409849@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: afni -- toolkit for analyzing and visualizing functional MRI data [med-imaging]' from 'ITP: afni -- toolkit for analyzing and visualizing functional MRI data [med-imaging]' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:30:54 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by NeuroDebian Team <team@neuro.debian.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:30:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:11:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.